# 🍌 Banana Manager

Welcome to **Banana Manager**! Banana Manager is a Python package designed to connect to a database and create a simple web app that displays and allows updates to selected tables. This tool is perfect for non-technical end-users who need to interact with database tables without using complex DBA tools.


## Powered by

- **[Dash](https://dash.plotly.com/) and [AG Grid](https://www.ag-grid.com/)**: User-friendly, intuitive, and interactive web interface with powerful table displays and editing capabilities.
- **[Pydantic](https://pydantic-docs.helpmanual.io/) and [YAML](https://yaml.org/)**: Fast and accurate data handling and configuration.
- **[SQLAlchemy](https://www.sqlalchemy.org/)**: Secure, efficient, and flexible database operations for multiple database backends.


## Installation

To install Banana Manager, simply use pip:

```bash
pip install banana-manager
```

## Roadmap

| Version  | Description                 | Release date              |
|----------|-----------------------------|---------------------------|
| **v0.1** | Load table and update cells | 2024-07-04                |
| *v0.1.x* | Bug fixes                   | Throughout July 2024      |
| **v0.2** | User authentication         | 2nd week of August 2024   |
| **v0.3** | Add and delete rows         | 3rd week of August 2024   |
| *v0.3.x* | Bug fixes                   | Throughout September 2024 |
| **v0.4** | Logging                     | Q4 2024                   |
| **v0.5** | Table groups                | Q4 2024                   |
| **v0.6** | Advanced user authorization | Q1 2025                   |
| **v0.7** | Special data types          | Q2 2025                   |
| **v0.8** | Themes                      | 2025                      |

## License

Banana Manager is released under the MIT License. See the [LICENSE](LICENSE) file for more details.